#ifndef PLOG_LOGGER_H
#define PLOG_LOGGER_H

#include <locale>

namespace plog
{

    class message;

    enum log_level;

//////////////////////////////////////////////////////////////////////////

    class logger
    {   
    public:
        logger();

        virtual void write(const message& msg) = 0;
        virtual bool check_severity(log_level severity) = 0;
        virtual ~logger()
        {}

        const std::locale& get_locale();

    private:
        std::locale locale_;
    };

    logger& operator+=(logger& l,const message& msg);
}

#endif //PLOG_LOGGER_H
