#ifndef PLOG_MONOAPPENDER_LOGGER_H
#define PLOG_MONOAPPENDER_LOGGER_H

#include <memory>

#include "plog/logger.h"
#include "plog/log_message.h"
#include "plog/appender.h"

#include "plog/csv_formatter.h"
#include "plog/formatter.h"

namespace plog
{
    //////////////////////////////////////////////////////////////////////////

    class monoappender_logger: public logger
    {
    public:
        monoappender_logger(appender* appender_instance /*takes ownership on appender_instance*/,
                            formatter* formatter_instance =NULL /*takes ownership on formatter_instance*/);

        void write(const message& msg);
        bool check_severity(log_level severity);

    private:
        std::auto_ptr<appender>     appender_;
        std::auto_ptr<formatter>    formatter_;
    };

}

#endif //PLOG_MONOAPPENDER_LOGGER_H
