#ifndef PLOG_OSTREAM_APPENDER_H
#define PLOG_OSTREAM_APPENDER_H

#include "appender.h"
#include <ostream>

namespace plog
{

    //////////////////////////////////////////////////////////////////////////

    class ostream_appender: public appender
    {
        ostream_appender& operator=(const ostream_appender&);
    public:
        ostream_appender(std::ostream& stream, log_level min_severity = none);

        virtual void write(const void* buffer, size_t length);
        virtual void write_header(const void* buffer, size_t length);
    private:
        std::ostream& stream_;
    };

} //namespace

#endif // PLOG_OSTREAM_APPENDER_H