#include "plog/logger_holder.h"
#include "plog/logger.h"

#include <memory>

namespace
{
    std::auto_ptr<plog::logger> g_logger_instance;
}

void plog::logger_holder::set_logger(logger* new_logger)
{
    g_logger_instance.reset(new_logger);
}

plog::logger* plog::logger_holder::get_logger()
{
    return g_logger_instance.get();
}

plog::logger* plog::logger_holder::get_logger(log_level severity)
{
    if (g_logger_instance.get() && g_logger_instance->check_severity(severity))
        return g_logger_instance.get();
    else
        return NULL;
}
plog::logger* plog::logger_holder::release_logger()
{
    return g_logger_instance.release();
}
