#include "plog/monoappender_logger.h"
#include "plog/file_appender.h"
#include "plog/log_message.h"

plog::monoappender_logger::monoappender_logger(appender* appender_instance, formatter* formatter_instance)
: appender_(appender_instance)
, formatter_(formatter_instance)
{
    if (formatter_.get() == NULL)
    {
        formatter_.reset(new plog::csv_formatter);
    }

    if(appender_.get() != NULL)
    {
        appender_->write_header(formatter_->header(), formatter_->header_size());
    }
}

void plog::monoappender_logger::write(const message& msg)
{
    const size_t BUF_SIZE = 512;
    char buffer[BUF_SIZE];

    if(appender_.get() != NULL)
    {
        size_t length = formatter_->format(msg, buffer, BUF_SIZE);

        appender_->write(buffer, length);
    }
}

bool plog::monoappender_logger::check_severity(log_level severity)
{
    if(appender_.get() != NULL)
    {
        return (appender_->get_level() >= severity);
    }
    else
    {
        return false;
    }
}