#include "test_utils.h"

#include "plog/cfq_appender.h"

BOOST_AUTO_TEST_SUITE(cfq_appender_test)

BOOST_AUTO_TEST_CASE(test_format_filename)
{
    std::wstring expected(L"C:\\dir\\subdir\\file001.log");
    
    std::wstring base(L"C:\\dir\\subdir\\file");
    std::wstring extension(L".log");

    std::wstring actual;
    plog::detail::format_file_name(base, extension, 1, &actual);
    BOOST_CHECK_EQUAL(expected, actual);
}

BOOST_AUTO_TEST_CASE(test_format_extension_without_dot)
{
    std::wstring expected(L"C:\\dir\\subdir\\file001.log");

    std::wstring base(L"C:\\dir\\subdir\\file");
    std::wstring extension(L"log");

    std::wstring actual;
    plog::detail::format_file_name(base, extension, 1, &actual);
    BOOST_CHECK_EQUAL(expected, actual);
}

BOOST_AUTO_TEST_CASE(test_format_extension_big_number)
{
    std::wstring expected(L"C:\\dir\\subdir\\file001.log");

    std::wstring base(L"C:\\dir\\subdir\\file");
    std::wstring extension(L"log");

    std::wstring actual;
    plog::detail::format_file_name(base, extension, 9001, &actual);
    BOOST_CHECK_EQUAL(expected, actual);
}

BOOST_AUTO_TEST_SUITE_END()
