#include <boost/test/unit_test.hpp>

#include "plog/log_message_stream.h"

static const std::locale loc("");

BOOST_AUTO_TEST_SUITE(message_stream_test)

BOOST_AUTO_TEST_CASE(stream_text)
{
    std::string expected("some text");

    plog::message_stream s(loc);

    s << "some text";

    BOOST_CHECK_EQUAL(expected, s.str());
}

BOOST_AUTO_TEST_CASE(stream_int)
{
    std::string expected("5");

    plog::message_stream s(loc);

    s << 5;

    BOOST_CHECK_EQUAL(expected, s.str());
}

BOOST_AUTO_TEST_SUITE_END()
