#ifndef TEST_UTILS_H
#define TEST_UTILS_H

#include <ostream>
#include <locale>

namespace boost
{
    namespace test_tools 
    {
        inline std::ostream& operator<< (std::ostream& os, const std::wstring& s)
        {
            std::locale loc("");

            const wchar_t* p = s.c_str();
            for(; *p; ++p)
                os << std::use_facet< std::ctype<wchar_t> >(loc).narrow(*p, '?');

            return os;
        }

        inline std::ostream& operator<< (std::ostream& os, const wchar_t* s)
        {
            std::locale loc("");

            const wchar_t* p = s;
            for(; *p; ++p)
                os << std::use_facet< std::ctype<wchar_t> >(loc).narrow(*p, '?');

            return os;
        }
    }
}

#include <boost/test/unit_test.hpp>

#endif